<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for product in product package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  product module in product package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Product',
    'names'         => 'Products',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Products',
        'sub'   => 'Products',
        'list'  => 'List of products',
        'edit'  => 'Edit product',
        'create'    => 'Create new product'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Enabled','Disabled'],
            'outofstock_status'   => ['In stock','Out of stock','Pre-order'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'category_id'                => 'Please enter category id',
        'seller_id'                  => 'Please enter seller id',
        'slug'                       => 'Please enter slug',
        'sku'                        => 'Please enter sku',
        'name'                       => 'Please enter name',
        'price'                      => 'Please enter price',
        'temp_price'                 => 'Please enter temp price',
        'discount'                   => 'Please enter discount',
        'quantity'                   => 'Please enter quantity',
        'status'                     => 'Please select status',
        'size'                       => 'Please enter size',
        'classification'             => 'Please enter classification',
        'description'                => 'Please enter description',
        'return_policy'              => 'Please enter return policy',
        'meta_title'                 => 'Please enter meta title',
        'meta_description'           => 'Please enter meta description',
        'meta_keyword'               => 'Please enter meta keyword',
        'featured'                   => 'Please enter featured',
        'premium'                    => 'Please enter premium',
        'image'                      => 'Please enter image',
        'outofstock_status'          => 'Please select outofstock status',
        'order'                      => 'Please enter order',
        'date_available'             => 'Please select date available',
        'images'                     => 'Please enter images',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'category_id'                => 'Category id',
        'seller_id'                  => 'Seller id',
        'slug'                       => 'Slug',
        'sku'                        => 'Sku',
        'name'                       => 'Name',
        'price'                      => 'Price',
        'temp_price'                 => 'Temp price',
        'discount'                   => 'Discount',
        'quantity'                   => 'Quantity',
        'status'                     => 'Status',
        'size'                       => 'Size',
        'classification'             => 'Classification',
        'description'                => 'Description',
        'return_policy'              => 'Return policy',
        'meta_title'                 => 'Meta title',
        'meta_description'           => 'Meta description',
        'meta_keyword'               => 'Meta keyword',
        'featured'                   => 'Featured',
        'premium'                    => 'Premium',
        'image'                      => 'Image',
        'outofstock_status'          => 'Outofstock status',
        'order'                      => 'Order',
        'date_available'             => 'Date available',
        'images'                     => 'Images',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'category_id'                => ['name' => 'Category id', 'data-column' => 1, 'checked'],
        'sku'                        => ['name' => 'Sku', 'data-column' => 2, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 3, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 4, 'checked'],
        'discount'                   => ['name' => 'Discount', 'data-column' => 5, 'checked'],
        'quantity'                   => ['name' => 'Quantity', 'data-column' => 6, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Products',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
