<?php

// API routes  for product
Route::prefix('{guard}/product')->group(function () {
    Route::get('product/form/{element}', 'ProductAPIController@form');
    Route::resource('product', 'ProductAPIController');
});

// Public routes for product
Route::get('products/', 'ProductPublicController@index');
Route::get('products/{slug?}', 'ProductPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for products
            Route::prefix('{guard}/product')->group(function () {
                Route::get('product/form/{element}', 'ProductAPIController@form');
                Route::apiResource('product', 'ProductAPIController');
            });
            // Public routes for products
            Route::get('product/Product', 'ProductPublicController@getProduct');
        }
    );
}


// API routes  for category
Route::prefix('{guard}/product')->group(function () {
    Route::get('category/form/{element}', 'CategoryAPIController@form');
    Route::resource('category', 'CategoryAPIController');
});

// Public routes for category
Route::get('products/', 'CategoryPublicController@index');
Route::get('products/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for products
            Route::prefix('{guard}/product')->group(function () {
                Route::get('category/form/{element}', 'CategoryAPIController@form');
                Route::apiResource('category', 'CategoryAPIController');
            });
            // Public routes for products
            Route::get('product/Category', 'CategoryPublicController@getCategory');
        }
    );
}


// API routes  for attribute
Route::prefix('{guard}/product')->group(function () {
    Route::get('attribute/form/{element}', 'AttributeAPIController@form');
    Route::resource('attribute', 'AttributeAPIController');
});

// Public routes for attribute
Route::get('products/', 'AttributePublicController@index');
Route::get('products/{slug?}', 'AttributePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for products
            Route::prefix('{guard}/product')->group(function () {
                Route::get('attribute/form/{element}', 'AttributeAPIController@form');
                Route::apiResource('attribute', 'AttributeAPIController');
            });
            // Public routes for products
            Route::get('product/Attribute', 'AttributePublicController@getAttribute');
        }
    );
}


// API routes  for attributegroup
Route::prefix('{guard}/product')->group(function () {
    Route::get('attributegroup/form/{element}', 'AttributegroupAPIController@form');
    Route::resource('attributegroup', 'AttributegroupAPIController');
});

// Public routes for attributegroup
Route::get('products/', 'AttributegroupPublicController@index');
Route::get('products/{slug?}', 'AttributegroupPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for products
            Route::prefix('{guard}/product')->group(function () {
                Route::get('attributegroup/form/{element}', 'AttributegroupAPIController@form');
                Route::apiResource('attributegroup', 'AttributegroupAPIController');
            });
            // Public routes for products
            Route::get('product/Attributegroup', 'AttributegroupPublicController@getAttributegroup');
        }
    );
}

