<?php

// web routes  for product
Route::prefix('{guard}/product')->group(function () {
    Route::resource('product', 'ProductResourceController');
});

// Public routes for product
Route::get('products/', 'ProductPublicController@index');
Route::get('products/{slug?}', 'ProductPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ProductResourceController');
            });
            // Public routes for pages
            Route::get('products/', 'ProductPublicController@index');
            Route::get('products/{slug?}', 'ProductPublicController@show');
        }
    );
}


// web routes  for category
Route::prefix('{guard}/product')->group(function () {
    Route::resource('category', 'CategoryResourceController');
});

// Public routes for category
Route::get('products/', 'CategoryPublicController@index');
Route::get('products/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CategoryResourceController');
            });
            // Public routes for pages
            Route::get('products/', 'CategoryPublicController@index');
            Route::get('products/{slug?}', 'CategoryPublicController@show');
        }
    );
}


// web routes  for attribute
Route::prefix('{guard}/product')->group(function () {
    Route::resource('attribute', 'AttributeResourceController');
});

// Public routes for attribute
Route::get('products/', 'AttributePublicController@index');
Route::get('products/{slug?}', 'AttributePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AttributeResourceController');
            });
            // Public routes for pages
            Route::get('products/', 'AttributePublicController@index');
            Route::get('products/{slug?}', 'AttributePublicController@show');
        }
    );
}


// web routes  for attributegroup
Route::prefix('{guard}/product')->group(function () {
    Route::resource('attributegroup', 'AttributegroupResourceController');
});

// Public routes for attributegroup
Route::get('products/', 'AttributegroupPublicController@index');
Route::get('products/{slug?}', 'AttributegroupPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AttributegroupResourceController');
            });
            // Public routes for pages
            Route::get('products/', 'AttributegroupPublicController@index');
            Route::get('products/{slug?}', 'AttributegroupPublicController@show');
        }
    );
}

