<?php

namespace Shopping\Product\Forms;

class Category
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'parent_id' => [
                    "type" => 'numeric',
                    "label" => trans('product::category.label.parent_id'),
                    "placeholder" => trans('product::category.placeholder.parent_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'name' => [
                    "type" => 'text',
                    "label" => trans('product::category.label.name'),
                    "placeholder" => trans('product::category.placeholder.name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'status' => [
                    "type" => 'select',
                    "label" => trans('product::category.label.status'),
                    "placeholder" => trans('product::category.placeholder.status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'tax' => [
                    "type" => 'numeric',
                    "label" => trans('product::category.label.tax'),
                    "placeholder" => trans('product::category.placeholder.tax'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'meta_title' => [
                    "type" => 'text',
                    "label" => trans('product::category.label.meta_title'),
                    "placeholder" => trans('product::category.placeholder.meta_title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'meta_description' => [
                    "type" => 'text',
                    "label" => trans('product::category.label.meta_description'),
                    "placeholder" => trans('product::category.placeholder.meta_description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'meta_keyword' => [
                    "type" => 'text',
                    "label" => trans('product::category.label.meta_keyword'),
                    "placeholder" => trans('product::category.placeholder.meta_keyword'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'image' => [
                    "type" => 'text',
                    "label" => trans('product::category.label.image'),
                    "placeholder" => trans('product::category.placeholder.image'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'order' => [
                    "type" => 'numeric',
                    "label" => trans('product::category.label.order'),
                    "placeholder" => trans('product::category.placeholder.order'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'title' => [
                    "type" => 'text',
                    "label" => trans('product::category.label.title'),
                    "placeholder" => trans('product::category.placeholder.title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'html_editor',
                    "label" => trans('product::category.label.description'),
                    "placeholder" => trans('product::category.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'upload_folder' => [
                    "type" => 'text',
                    "label" => trans('product::category.label.upload_folder'),
                    "placeholder" => trans('product::category.placeholder.upload_folder'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
