<?php

namespace Shopping\Product\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Shopping\Product\Interfaces\AttributegroupRepositoryInterface;

class AttributegroupPublicController extends BaseController
{
    // use AttributegroupWorkflow;

    /**
     * Constructor.
     *
     * @param type \Shopping\Attributegroup\Interfaces\AttributegroupRepositoryInterface $attributegroup
     *
     * @return type
     */
    public function __construct(AttributegroupRepositoryInterface $attributegroup)
    {
        $this->repository = $attributegroup;
        parent::__construct();
    }

    /**
     * Show attributegroup's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $attributegroups = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('product::attributegroup.names'))
            ->view('product::public.attributegroup.index')
            ->data(compact('attributegroups'))
            ->output();
    }


    /**
     * Show attributegroup.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $attributegroup = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($attributegroup->name . trans('product::attributegroup.name'))
            ->view('product::public.attributegroup.show')
            ->data(compact('attributegroup'))
            ->output();
    }

}
