<?php

namespace Shopping\Product;

use User;

class Product
{
    /**
     * $product object.
     */
    protected $product;
    /**
     * $category object.
     */
    protected $category;
    /**
     * $attribute object.
     */
    protected $attribute;
    /**
     * $attributegroup object.
     */
    protected $attributegroup;

    /**
     * Constructor.
     */
    public function __construct(\Shopping\Product\Interfaces\ProductRepositoryInterface $product,
        \Shopping\Product\Interfaces\CategoryRepositoryInterface $category,
        \Shopping\Product\Interfaces\AttributeRepositoryInterface $attribute,
        \Shopping\Product\Interfaces\AttributegroupRepositoryInterface $attributegroup)
    {
        $this->product = $product;
        $this->category = $category;
        $this->attribute = $attribute;
        $this->attributegroup = $attributegroup;
    }

    /**
     * Returns count of product.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.product.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->product->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\ProductUserCriteria());
        }

        $product = $this->product->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('product::' . $view, compact('product'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->category->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\CategoryUserCriteria());
        }

        $category = $this->category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('product::' . $view, compact('category'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.attribute.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->attribute->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\AttributeUserCriteria());
        }

        $attribute = $this->attribute->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('product::' . $view, compact('attribute'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.attributegroup.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->attributegroup->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\AttributegroupUserCriteria());
        }

        $attributegroup = $this->attributegroup->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('product::' . $view, compact('attributegroup'))->render();
    }
}
