<?php

namespace Shopping\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AttributegroupTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Product\Models\Attributegroup $attributegroup)
    {
        return [
            'id'                => $attributegroup->getRouteKey(),
            'key'               => [
                'public'    => $attributegroup->getPublicKey(),
                'route'     => $attributegroup->getRouteKey(),
            ], 
            'slug'              => $attributegroup->slug,
            'type'              => $attributegroup->type,
            'name'              => $attributegroup->name,
            'order'             => $attributegroup->order,
            'deleted_at'        => $attributegroup->deleted_at,
            'url'               => [
                'public'    => trans_url('product/'.$attributegroup->getPublicKey()),
                'user'      => guard_url('product/attributegroup/'.$attributegroup->getRouteKey()),
            ], 
            'status'            => trans('app.'.$attributegroup->status),
            'created_at'        => format_date($attributegroup->created_at),
            'updated_at'        => format_date($attributegroup->updated_at),
        ];
    }
}