<?php

namespace Shopping\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Product\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'key'               => [
                'public'    => $product->getPublicKey(),
                'route'     => $product->getRouteKey(),
            ], 
            'user_id'           => $product->user_id,
            'user_type'         => $product->user_type,
            'category_id'       => $product->category_id,
            'seller_id'         => $product->seller_id,
            'slug'              => $product->slug,
            'sku'               => $product->sku,
            'name'              => $product->name,
            'price'             => $product->price,
            'temp_price'        => $product->temp_price,
            'discount'          => $product->discount,
            'quantity'          => $product->quantity,
            'size'              => $product->size,
            'classification'    => $product->classification,
            'description'       => $product->description,
            'return_policy'     => $product->return_policy,
            'meta_title'        => $product->meta_title,
            'meta_description'  => $product->meta_description,
            'meta_keyword'      => $product->meta_keyword,
            'featured'          => $product->featured,
            'premium'           => $product->premium,
            'image'             => $product->image,
            'outofstock_status' => $product->outofstock_status,
            'order'             => $product->order,
            'date_available'    => $product->date_available,
            'images'            => $product->images,
            'deleted_at'        => $product->deleted_at,
            'url'               => [
                'public'    => trans_url('product/'.$product->getPublicKey()),
                'user'      => guard_url('product/product/'.$product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product->status),
            'created_at'        => format_date($product->created_at),
            'updated_at'        => format_date($product->updated_at),
        ];
    }
}